#!/bin/sh

#インストール環境が64bit用か32Bit用かを設定
platform=`uname -i`
if test $platform = "x86_64"
then
 msg=MirrorDTCクライアントの64Bit版をアプリケーションとして登録しました。
else
 msg=MirrorDTCクライアントの32Bit版をアプリケーションとして登録しました。
fi
#実行スクリプト関連の設定
bindir=$PWD/bin
exescript=$bindir/mcclient.sh
#デスクトップファイルのパスを設定
desktopfile=~/.local/share/applications/mcclient.desktop
#デスクトップファイルを作成
mkdir -p -v ~/.local/share/applications
echo [Desktop Entry] > $desktopfile
echo Version=1.0 >> $desktopfile
echo Type=Application >> $desktopfile
echo Terminal=false >> $desktopfile
echo StartupNotify=true >> $desktopfile
echo Name=MirrorDTC-Client >> $desktopfile
echo Comment=リモート操作クライアントソフト >> $desktopfile
echo Icon=$bindir/mcclient.png >> $desktopfile
echo Exec=$bindir/mcclient.sh %u >>$desktopfile
echo Categories="Network" >> $desktopfile
chmod +x $desktopfile
#実行スクリプトの作成
echo "#!/bin/sh" > $exescript
echo 'export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib/jvm/java-7-oracle/jre/lib/i386' >> $exescript
echo 'export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib/jvm/java-7-oracle/jre/lib/amd64' >> $exescript
echo cd $bindir >> $exescript
echo 'java -Djava.library.path=. -Xms64m -Xmx128m -jar mcclient.jar $1 &' >> $exescript
chmod +x $exescript
#mimeファイルのコピー
mkdir -p -v ~/.local/share/mime/packages
cp bin/mirrordtc.xml ~/.local/share/mime/packages
update-mime-database ~/.local/share/mime
#終了メッセージを表示
echo
echo $msg
echo
